/* ------------------------------------------------------------------------- */
/*
 *  config.h
 *
 *  Copyright (c) 2009 - 2010, clown. All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 *    - No names of its contributors may be used to endorse or promote
 *      products derived from this software without specific prior written
 *      permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
 *  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 *  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *  The source code uses the TrickLibrary. (See the following URL:
 *  http://tricklib.com/cxx/ex/babel/)
 *
 *  Last-modified: Thu 07 Jan 2010 16:49:00 JST
 */
/* ------------------------------------------------------------------------- */
#ifndef CLIFF_CONFIG_H
#define CLIFF_CONFIG_H

#include <clx/config.h>
#ifdef CLIFF_USE_BABEL
#include <babel/babel.h>
#endif

namespace cliff {
#ifdef CLIFF_USE_BABEL
	/* --------------------------------------------------------------------- */
	//  babel_init
	/* --------------------------------------------------------------------- */
	class babel_init {
	public:
		babel_init() {
			babel::init_babel();
		}
		
		~babel_init() throw() {}
	};
	
	static babel_init babel_init_;
#endif
}

#endif // CLIFF_CONFIG_H
